### Function

# Gimp main

#### Declaration [src]

    gint
    gimp_main (
      GType plug_in_type,
      gint argc,
      gchar** argv
    )

#### Description [src]

The main plug-in function that must be called with the plug-in’s `GimpPlugIn` subclass `GType` and the ‘argc’ and ‘argv’ that are passed to the platform’s main().

See also: GIMP_MAIN(), `GimpPlugIn`.

Available since: | 3.0

#### Parameters

`plug_in_type` | `GType`
| The type of the `GimpPlugIn` subclass of the plug-in.
`argc` | `gint`
| The number of arguments.
`argv` | An array of `gchar*`
| The arguments.
| The length of the array is specified in the `argc` argument.
| The data is owned by the caller of the function.
| Each element is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gint`
| An exit status as defined by the C library, on success EXIT_SUCCESS.